--#SET TERMINATOR ;

CREATE ROLE PAYMENTS_USER_ROLE;

GRANT SELECT, INSERT, UPDATE, DELETE ON TABLE PAYMENTS.PAYMENTS TO PAYMENTS_USER_ROLE;

GRANT EXECUTE ON PROCEDURE PAYMENTS.CASH_FLOW           TO PAYMENTS_USER_ROLE;
GRANT EXECUTE ON PROCEDURE PAYMENTS.CASH_FLOW_SUMMARY   TO PAYMENTS_USER_ROLE;


-- You may create the PAYMENTS_DEV and PAYMENTS_USER test users and use the code below.
-- Or you may comment these lines and grant role permissions to your existing users.


-- Grant these role permissions to developers

GRANT PAYMENTS_USER_ROLE        TO PAYMENTS_DEV;
GRANT SAVETODB_DEV_ROLE         TO PAYMENTS_DEV;
GRANT SAVETODB_XLS_ROLE         TO PAYMENTS_DEV;


-- Grant these role permissions to users

GRANT PAYMENTS_USER_ROLE        TO PAYMENTS_USER;
GRANT SAVETODB_XLS_ROLE         TO PAYMENTS_USER;
