--#SET TERMINATOR ;

SELECT
    CHAR(TABSCHEMA, 10) AS SCHEMA
    , CHAR(TABNAME, 20) AS NAME
    , CASE "TYPE"
        WHEN 'T' THEN 'TABLE'
        WHEN 'V' THEN 'VIEW'
        ELSE "TYPE"
        END AS "TYPE"
FROM
    SYSCAT.TABLES
WHERE
    TABSCHEMA IN ('PAYMENTS')
UNION ALL
SELECT
    CHAR(PROCSCHEMA, 10) AS SCHEMA
    , CHAR(PROCNAME, 20) AS NAME
    , 'PROCEDURE' AS "TYPE"
FROM
    SYSCAT.PROCEDURES
WHERE
    PROCSCHEMA IN ('PAYMENTS')
ORDER BY
    SCHEMA, NAME;
