@echo off

rem Setting the path to gsqlcmd.exe

set gsqlcmd=gsqlcmd.exe
rem if exist ..\gsqlcmd\gsqlcmd.exe set gsqlcmd=..\gsqlcmd\gsqlcmd.exe
rem if exist ..\..\gsqlcmd\gsqlcmd.exe set gsqlcmd=..\..\gsqlcmd\gsqlcmd.exe
rem if exist ..\..\..\gsqlcmd\gsqlcmd.exe set gsqlcmd=..\..\..\gsqlcmd\gsqlcmd.exe

rem Verifying and creating the export folder

if not exist export md export


rem Exporting data in CSV, TEXT, and HTML formats


%gsqlcmd% setup "SELECT * FROM payments.payments" export\payments.csv

if errorlevel 1 goto END

%gsqlcmd% setup "SELECT * FROM payments.payments" export\payments.txt

if errorlevel 1 goto END

%gsqlcmd% setup "SELECT * FROM payments.payments" export\payments.htm

if errorlevel 1 goto END


%gsqlcmd% setup "CALL payments.cash_flow (2015, 'en')" export\cash-flow.csv

if errorlevel 1 goto END

%gsqlcmd% setup "CALL payments.cash_flow (2015, 'en')" export\cash-flow.txt

if errorlevel 1 goto END

%gsqlcmd% setup "CALL payments.cash_flow (2015, 'en')" export\cash-flow.htm

if errorlevel 1 goto END


%gsqlcmd% setup "CALL payments.cash_flow_summary (2015, 'en')" export\cash-flow-summary.csv

if errorlevel 1 goto END

%gsqlcmd% setup "CALL payments.cash_flow_summary (2015, 'en')" export\cash-flow-summary.txt

if errorlevel 1 goto END

%gsqlcmd% setup "CALL payments.cash_flow_summary (2015, 'en')" export\cash-flow-summary.htm

if errorlevel 1 goto END


echo See results in the export folder

:END
