CREATE ROLE PAYMENTS_USER_ROLE NOT IDENTIFIED;

CREATE USER PAYMENTS_DEV  IDENTIFIED BY "change_on_install" DEFAULT TABLESPACE USERS TEMPORARY TABLESPACE TEMP PROFILE "DEFAULT" ACCOUNT UNLOCK;
CREATE USER PAYMENTS_USER IDENTIFIED BY "change_on_install" DEFAULT TABLESPACE USERS TEMPORARY TABLESPACE TEMP PROFILE "DEFAULT" ACCOUNT UNLOCK;

ALTER USER PAYMENTS_DEV  IDENTIFIED BY "Dev_2011#_Xls4168";
ALTER USER PAYMENTS_USER IDENTIFIED BY "Usr_2011#_Xls4168";

GRANT CREATE SESSION            TO PAYMENTS_DEV;
GRANT CREATE SESSION            TO PAYMENTS_USER;

GRANT PAYMENTS_USER_ROLE        TO PAYMENTS_DEV;
GRANT SAVETODB_DEV_ROLE         TO PAYMENTS_DEV;
GRANT SAVETODB_XLS_ROLE         TO PAYMENTS_DEV;

GRANT PAYMENTS_USER_ROLE        TO PAYMENTS_USER;
GRANT SAVETODB_XLS_ROLE         TO PAYMENTS_USER;

GRANT SELECT, INSERT, UPDATE, DELETE ON PAYMENTS.PAYMENTS TO PAYMENTS_USER_ROLE;

GRANT EXECUTE ON PAYMENTS.CASH_FLOW           TO PAYMENTS_USER_ROLE;
GRANT EXECUTE ON PAYMENTS.CASH_FLOW_SUMMARY   TO PAYMENTS_USER_ROLE;
