@echo off

rem This is an example of exporting using the .NET provider

rem To execute the stored procedures, the BEGIN END format is used
rem For example: BEGIN "PAYMENTS"."CASH_FLOW" (YEAR => 2015, DATALANGUAGE => 'en', DATA => :DATA); END


rem Setting the path to gsqlcmd.exe

set gsqlcmd=gsqlcmd.exe
rem if exist ..\gsqlcmd\gsqlcmd.exe set gsqlcmd=..\gsqlcmd\gsqlcmd.exe
rem if exist ..\..\gsqlcmd\gsqlcmd.exe set gsqlcmd=..\..\gsqlcmd\gsqlcmd.exe
rem if exist ..\..\..\gsqlcmd\gsqlcmd.exe set gsqlcmd=..\..\..\gsqlcmd\gsqlcmd.exe

rem Verifying and creating the export folder

if not exist export md export


rem Exporting data in CSV, TEXT, and HTML formats


%gsqlcmd% setup "SELECT * FROM PAYMENTS.PAYMENTS" export\payments.csv

if errorlevel 1 goto END

%gsqlcmd% setup "SELECT * FROM PAYMENTS.PAYMENTS" export\payments.txt

if errorlevel 1 goto END

%gsqlcmd% setup "SELECT * FROM PAYMENTS.PAYMENTS" export\payments.htm

if errorlevel 1 goto END



%gsqlcmd% setup "BEGIN "PAYMENTS"."CASH_FLOW" (YEAR => 2015, DATALANGUAGE => 'en', DATA => :DATA); END" export\cash-flow.csv

if errorlevel 1 goto END

%gsqlcmd% setup "BEGIN "PAYMENTS"."CASH_FLOW" (YEAR => 2015, DATALANGUAGE => 'en', DATA => :DATA); END" export\cash-flow.txt

if errorlevel 1 goto END

%gsqlcmd% setup "BEGIN "PAYMENTS"."CASH_FLOW" (YEAR => 2015, DATALANGUAGE => 'en', DATA => :DATA); END" export\cash-flow.htm

if errorlevel 1 goto END


%gsqlcmd% setup "BEGIN "PAYMENTS"."CASH_FLOW_SUMMARY" (YEAR => 2015, DATALANGUAGE => 'en', DATA => :DATA); END" export\cash-flow-summary.csv

if errorlevel 1 goto END

%gsqlcmd% setup "BEGIN "PAYMENTS"."CASH_FLOW_SUMMARY" (YEAR => 2015, DATALANGUAGE => 'en', DATA => :DATA); END" export\cash-flow-summary.txt

if errorlevel 1 goto END

%gsqlcmd% setup "BEGIN "PAYMENTS"."CASH_FLOW_SUMMARY" (YEAR => 2015, DATALANGUAGE => 'en', DATA => :DATA); END" export\cash-flow-summary.htm

if errorlevel 1 goto END


echo See results in the export folder

:END
