@echo off

rem Setting the path to gsqlcmd.exe

set gsqlcmd=gsqlcmd.exe
if exist ..\gsqlcmd\gsqlcmd.exe         set gsqlcmd=..\gsqlcmd\gsqlcmd.exe
if exist ..\..\gsqlcmd\gsqlcmd.exe      set gsqlcmd=..\..\gsqlcmd\gsqlcmd.exe
if exist ..\..\..\gsqlcmd\gsqlcmd.exe   set gsqlcmd=..\..\..\gsqlcmd\gsqlcmd.exe


rem Getting framework table count into framework-check.log

%gsqlcmd% setup "SELECT COUNT(*) AS tablecount FROM SYS.ALL_OBJECTS t WHERE t.OWNER = 'SAVETODB_DEV' AND t.OBJECT_NAME IN ('COLUMN_TRANSLATION', 'OBJECT_TRANSLATION', 'EVENT_HANDLERS', 'PARAMETER_VALUES', 'TABLE_FORMATS')" framework-check.log /noheaders

if errorlevel 1 goto SQLCMD_ERROR


rem Reading and comparing framework table count

for /F %%i in (framework-check.log) do set tablecount=%%i

del framework-check.log

if not .%tablecount%.==.5. goto NO_FRAMEWORK


echo.
echo SaveToDB Framework has been detected

goto END


:NO_FRAMEWORK

echo.
echo Install SaveToDB Framework before installation
exit


:SQLCMD_ERROR

if exist framework-check.log del framework-check.log
echo.
echo It is an error occurred in the gsqlcmd command. See description above.
exit


:END
