DELETE FROM dbo01.ColumnTranslation WHERE TABLE_SCHEMA IN ('xls30', 'dbo30', 'etl30')
GO
DELETE FROM dbo01.ObjectTranslation WHERE TABLE_SCHEMA IN ('xls30', 'dbo30', 'etl30')
GO
DELETE FROM dbo01.EventHandlers     WHERE TABLE_SCHEMA IN ('xls30', 'dbo30', 'etl30')
GO
DELETE FROM dbo01.TableFormats      WHERE TABLE_SCHEMA IN ('xls30', 'dbo30', 'etl30')
GO
DELETE FROM dbo01.ParameterValues   WHERE TABLE_SCHEMA IN ('xls30', 'dbo30', 'etl30')
GO


DROP PROCEDURE [xls30].[uspCashFlow]
GO
DROP PROCEDURE [xls30].[uspCashFlowSummary]
GO
DROP PROCEDURE [xls30].[uspCashFlowYear]
GO
DROP PROCEDURE [xls30].[uspCashFlowYearSummary]
GO
DROP PROCEDURE [xls30].[uspExcelEvent_ContextMenu_dbo30_Payment_CompanyName]
GO
DROP PROCEDURE [xls30].[uspExcelEvent_ContextMenu_dbo30_Payment_ItemName]
GO

DROP VIEW [dbo30].[viewCashFlowData]
GO
DROP VIEW [xls30].[viewParameterValues_Year]
GO

DROP VIEW [xls30].[viewQueryList]
GO
DROP VIEW [dbo30].[viewQueryList]
GO

DROP TABLE [dbo30].[Payment]
GO

DROP SCHEMA [etl30]
GO
DROP SCHEMA [xls30]
GO
DROP SCHEMA [dbo30]
GO


IF EXISTS(SELECT * FROM sys.database_principals WHERE name = 'DbManagement05_Users')
    BEGIN
    REVOKE VIEW DEFINITION ON ROLE::[Payments30_Developers] FROM [DbManagement05_Users] AS [dbo]
    REVOKE VIEW DEFINITION ON ROLE::[Payments30_Users]      FROM [DbManagement05_Users] AS [dbo]

    REVOKE VIEW DEFINITION ON USER::[Payments30_Developer]  FROM [DbManagement05_Users]
    REVOKE VIEW DEFINITION ON USER::[Payments30_User]       FROM [DbManagement05_Users]
    END
GO

DROP USER [Payments30_Developer]
GO
DROP ROLE [Payments30_Developers]
GO

DROP USER [Payments30_User]
GO
DROP ROLE [Payments30_Users]
GO

print N'The application has been removed';
GO
