SELECT
    [ip] AS [ip]
    , [hostname] AS [hostname]
    , [city] AS [city]
    , [region] AS [region]
    , [country] AS [country]
    , [loc] AS [loc]
    , [org] AS [org]
    , [postal] AS [postal]
FROM
    OPENROWSET(
        BULK 'ips.csv',
        FORMATFILE = 'ips.fmt',
        CODEPAGE = '1250',
        FIRSTROW = 2) t
