--#SET TERMINATOR ;

-- Payments Application for IBM DB2
-- April 13, 2015

DROP ROLE PAYMENTS_USER_ROLE;

DELETE FROM SAVETODB_DEV.OBJECT_TRANSLATION WHERE TABLE_SCHEMA = 'PAYMENTS';
DELETE FROM SAVETODB_DEV.COLUMN_TRANSLATION WHERE TABLE_SCHEMA = 'PAYMENTS';
DELETE FROM SAVETODB_DEV.EVENT_HANDLERS     WHERE TABLE_SCHEMA = 'PAYMENTS';
DELETE FROM SAVETODB_DEV.QUERY_LIST         WHERE TABLE_SCHEMA = 'PAYMENTS';
DELETE FROM SAVETODB_DEV.TABLE_FORMATS      WHERE TABLE_SCHEMA = 'PAYMENTS';
DELETE FROM SAVETODB_DEV.PARAMETER_VALUES   WHERE TABLE_SCHEMA = 'PAYMENTS';

DELETE FROM SAVETODB_DEV.OBJECT_TRANSLATION WHERE TABLE_SCHEMA = 'CODE' AND TABLE_NAME IN (
'Payments - {CompanyName}'
, 'Payments - {Date}'
, 'Payments - {ItemName}'
);

DROP PROCEDURE  PAYMENTS.CASH_FLOW;
DROP PROCEDURE  PAYMENTS.CASH_FLOW_SUMMARY;

DROP TABLE      PAYMENTS.PAYMENTS;

DROP SCHEMA     PAYMENTS RESTRICT;

echo Payments Application has been removed
