-- Payment Register Application for MySQL and MariaDB
-- July 15, 2014

DELETE FROM `savetodb_dev`.`object_translation` WHERE `TABLE_SCHEMA` = 'payments';
DELETE FROM `savetodb_dev`.`column_translation` WHERE `TABLE_SCHEMA` = 'payments';
DELETE FROM `savetodb_dev`.`event_handlers`     WHERE `TABLE_SCHEMA` = 'payments';
DELETE FROM `savetodb_dev`.`query_list`         WHERE `TABLE_SCHEMA` = 'payments';
DELETE FROM `savetodb_dev`.`table_formats`      WHERE `TABLE_SCHEMA` = 'payments';
DELETE FROM `savetodb_dev`.`parameter_values`   WHERE `TABLE_SCHEMA` = 'payments';

DELETE FROM SAVETODB_DEV.OBJECT_TRANSLATION WHERE `TABLE_SCHEMA` = 'CODE' AND `TABLE_NAME` IN (
'Payments - {CompanyName}'
, 'Payments - {Date}'
, 'Payments - {ItemName}'
);

DROP PROCEDURE  IF EXISTS `payments`.`cash_flow`;
DROP PROCEDURE  IF EXISTS `payments`.`cash_flow_summary`;
DROP TABLE      IF EXISTS `payments`.`payments`;
DROP SCHEMA     IF EXISTS `payments`;

DROP USER 'payments_user'@'localhost';
DROP USER 'payments_dev'@'localhost';

-- print Payment Register Application has been removed
