-- Payments Application for NuoDB
-- July 15, 2014

DROP USER payments_user IF EXISTS;
DROP USER payments_dev  IF EXISTS;

DROP ROLE PAYMENTS.USERS IF EXISTS;

DELETE FROM SAVETODB_DEV.OBJECT_TRANSLATION WHERE TABLE_SCHEMA = 'PAYMENTS';
DELETE FROM SAVETODB_DEV.COLUMN_TRANSLATION WHERE TABLE_SCHEMA = 'PAYMENTS';
DELETE FROM SAVETODB_DEV.EVENT_HANDLERS     WHERE TABLE_SCHEMA = 'PAYMENTS';
DELETE FROM SAVETODB_DEV.QUERY_LIST         WHERE TABLE_SCHEMA = 'PAYMENTS';
DELETE FROM SAVETODB_DEV.TABLE_FORMATS      WHERE TABLE_SCHEMA = 'PAYMENTS';
DELETE FROM SAVETODB_DEV.PARAMETER_VALUES   WHERE TABLE_SCHEMA = 'PAYMENTS';

DROP PROCEDURE  IF EXISTS PAYMENTS.CASH_FLOW;
DROP PROCEDURE  IF EXISTS PAYMENTS.CASH_FLOW_SUMMARY;
DROP TABLE      IF EXISTS PAYMENTS.PAYMENTS;

DROP SCHEMA     IF EXISTS PAYMENTS;

-- print Payments Application has been removed
