DROP ROLE PAYMENTS_USER_ROLE;

DROP USER PAYMENTS_USER;
DROP USER PAYMENTS_DEV;

DELETE FROM SAVETODB_DEV.OBJECT_TRANSLATION WHERE TABLE_SCHEMA = 'PAYMENTS';
DELETE FROM SAVETODB_DEV.COLUMN_TRANSLATION WHERE TABLE_SCHEMA = 'PAYMENTS';
DELETE FROM SAVETODB_DEV.EVENT_HANDLERS     WHERE TABLE_SCHEMA = 'PAYMENTS';
DELETE FROM SAVETODB_DEV.QUERY_LIST         WHERE TABLE_SCHEMA = 'PAYMENTS';
DELETE FROM SAVETODB_DEV.TABLE_FORMATS      WHERE TABLE_SCHEMA = 'PAYMENTS';
DELETE FROM SAVETODB_DEV.PARAMETER_VALUES   WHERE TABLE_SCHEMA = 'PAYMENTS';

DELETE FROM SAVETODB_DEV.OBJECT_TRANSLATION WHERE TABLE_SCHEMA = 'CODE' AND TABLE_NAME IN (
'Payments - {CompanyName}'
, 'Payments - {Date}'
, 'Payments - {ItemName}'
);

DROP PROCEDURE  PAYMENTS.CASH_FLOW;
DROP PROCEDURE  PAYMENTS.CASH_FLOW_SUMMARY;

DROP INDEX      PAYMENTS.IX_PAYMENTS_DATE;
DROP TRIGGER    PAYMENTS.TBIUR_PAYMENTS_ID;
DROP SEQUENCE   PAYMENTS.SQ_PAYMENTS_ID;
DROP TABLE      PAYMENTS.PAYMENTS;

DROP USER       PAYMENTS;

prompt Payments Application has been removed
