DELETE FROM dbo01.QueryList         WHERE TABLE_SCHEMA IN ('xls30', 'dbo30')
GO
DELETE FROM dbo01.ColumnTranslation WHERE TABLE_SCHEMA IN ('xls30', 'dbo30')
GO
DELETE FROM dbo01.ObjectTranslation WHERE TABLE_SCHEMA IN ('xls30', 'dbo30')
GO
DELETE FROM dbo01.EventHandlers     WHERE TABLE_SCHEMA IN ('xls30', 'dbo30')
GO
DELETE FROM dbo01.TableFormats      WHERE TABLE_SCHEMA IN ('xls30', 'dbo30')
GO
DELETE FROM dbo01.ParameterValues   WHERE TABLE_SCHEMA IN ('xls30', 'dbo30')
GO


DROP PROCEDURE xls30.uspCashFlowYear
GO
DROP PROCEDURE xls30.uspCashFlowYearSummary
GO
DROP PROCEDURE xls30.uspExcelEvent_ContextMenu_Payment_CompanyName
GO
DROP PROCEDURE xls30.uspExcelEvent_ContextMenu_Payment_ItemName
GO

DROP VIEW xls30.viewParameterValues_Year
GO

DROP VIEW xls30.viewQueryList
GO

DROP TABLE dbo30.Payments
GO

EXEC sp_dropuser 'dbo30'
GO
EXEC sp_dropuser 'xls30'
GO

EXEC sp_dropuser 'Payments_Developer'
GO
EXEC sp_dropuser 'Payments_User'
GO

EXEC sp_droprole 'Payments_Developers'
GO
EXEC sp_droprole 'Payments_Users'
GO

EXEC sp_droplogin 'dbo30'
GO
EXEC sp_droplogin 'xls30'
GO

print N'The application has been removed';
GO
