@echo off

rem Setting the path to gsqlcmd.exe

set gsqlcmd=gsqlcmd.exe
rem if exist ..\gsqlcmd\gsqlcmd.exe set gsqlcmd=..\gsqlcmd\gsqlcmd.exe
rem if exist ..\..\gsqlcmd\gsqlcmd.exe set gsqlcmd=..\..\gsqlcmd\gsqlcmd.exe
rem if exist ..\..\..\gsqlcmd\gsqlcmd.exe set gsqlcmd=..\..\..\gsqlcmd\gsqlcmd.exe

rem Verifying and creating the export folder

if not exist export md export


rem Exporting data in CSV, TEXT, and HTML formats


%gsqlcmd% setup "SELECT * FROM dbo.Payments" export\payments.csv

if errorlevel 1 goto END

%gsqlcmd% setup "SELECT * FROM dbo.Payments" export\payments.txt

if errorlevel 1 goto END

%gsqlcmd% setup "SELECT * FROM dbo.Payments" export\payments.htm

if errorlevel 1 goto END


%gsqlcmd% setup "EXEC dbo.uspCashFlowYear 2015" export\cash-flow.csv

if errorlevel 1 goto END

%gsqlcmd% setup "EXEC dbo.uspCashFlowYear 2015" export\cash-flow.txt

if errorlevel 1 goto END

%gsqlcmd% setup "EXEC dbo.uspCashFlowYear 2015" export\cash-flow.htm

if errorlevel 1 goto END


%gsqlcmd% setup "EXEC dbo.uspCashFlowYearSummary 2015" export\cash-flow-summary.csv

if errorlevel 1 goto END

%gsqlcmd% setup "EXEC dbo.uspCashFlowYearSummary 2015" export\cash-flow-summary.txt

if errorlevel 1 goto END

%gsqlcmd% setup "EXEC dbo.uspCashFlowYearSummary 2015" export\cash-flow-summary.htm

if errorlevel 1 goto END


echo See results in the export folder

:END
